de.esprit.common.util

## Class ToString

- java.lang.Object
- - de.esprit.common.util.ToString

-     public class ToString
      extends java.lang.Object

  This class is useful for creating consistent `toString()` output. It prints a single line in the format 'ClassName[key1=value1, key2=value2]'
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ToString()`
    `ToString(java.lang.Object caller)`
    `ToString(java.lang.String header)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(java.lang.String key, java.lang.Object value)`
    `void` | `addSizeOf(java.lang.String key, java.util.Collection list)`
    `void` | `addSizeOf(java.lang.String key, java.util.Map map)`
    `void` | `addSizeOf(java.lang.String key, java.lang.Object[] array)`
    `void` | `remove(java.lang.String key)`
    `DumpString` | `toDumpString(DumpString s)` Fills the given DumpString with the content of this ToString object
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ToString

          public ToString()

    - #### ToString

          public ToString(java.lang.Object caller)

    - #### ToString

          public ToString(java.lang.String header)

  - ### Method Detail

    - #### addSizeOf

          public void addSizeOf(java.lang.String key,
                       java.util.Map map)

    - #### addSizeOf

          public void addSizeOf(java.lang.String key,
                       java.util.Collection list)

    - #### addSizeOf

          public void addSizeOf(java.lang.String key,
                       java.lang.Object[] array)

    - #### add

          public void add(java.lang.String key,
                 java.lang.Object value)

    - #### remove

          public void remove(java.lang.String key)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### toDumpString

          public DumpString toDumpString(DumpString s)

      Fills the given DumpString with the content of this ToString object

Copyright © 2014 EsprIT-Systems. All Rights Reserved.